Bug 126755 - I18N - IEP Palette elements have a text not from pseudo localized bundle file
I18N - IEP Palette elements have a text not from pseudo localized bundle file
Status: RESOLVED FIXED
Product: soa
Classification: Unclassified
Component: IEP editor
6.x
All All
: P2 (vote)
: TBD
Assigned To: pvarghese
issues@soa
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-05 18:12 UTC by kaa
Modified: 2008-10-23 20:48 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
image (72.20 KB, image/jpeg)
2008-02-05 18:14 UTC, kaa
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kaa 2008-02-05 18:12:29 UTC
Product Version: NetBeans IDE Dev (Build 200801290002)
Java: 1.6.0_03; Java HotSpot(TM) Client VM 1.6.0_03-b05
System: Windows XP version 5.1 running on x86; MS932; ja_JP (nb)

Steps:
1. 1. Create IEP Module
2. Add IEP
3. For ex. D'n'D TimeBasedAggregator from the palette
4. Open its properties

There is a text not from pseudo localized bundle file.
I'm running in the Japan locale, using a pseudo localized Netbeans.
Comment 1 kaa 2008-02-05 18:14:13 UTC
Created attachment 56101 [details]
image
Comment 2 pvarghese 2008-08-05 01:48:59 UTC
searching for changes
changeset:   84803:00a4888a7af5
tag:         tip
date:        Mon Aug 04 17:43:05 2008 -0700
files:       iep.editor/src/org/netbeans/modules/tbls/editor/ps/Bundle.properties 
iep.editor/src/org/netbeans/modules/tbls/editor/ps/TcgComponentNodePropertyCustomizer.java
iep.editor/src/org/netbeans/modules/tbls/editor/ps/TcgComponentNodePropertyEditor.java
description:
bug 126755 126756 adding I18N support to the operator properties dialog tabs and property button labels
Comment 3 jlautz 2008-09-12 16:55:32 UTC
Could the original reporter please verify that this situation has been resolved? I do not have the tests available to me.
Comment 4 Ken Frank 2008-09-12 17:05:58 UTC
Jennifer,

devs and info below can give you more info - get the applicable bundle files
(ie unzip the jars as you did for the other issue)
and just search thru all iep or other of the applicable bundle files for
the missing strings mentioned - and if they are there thats probably
good enough verification.

based on comments below, i think more strings that what was reported were
fixed, but changeset and info from dev can give you idea about that.

ken.frank@sun.com
Comment 5 Ritesh Adval 2008-10-23 20:48:43 UTC
This can be verfied by localization team. I just verifed that
string "Launch custom editor using ..." is coming from Bundle.properties so it properly externalized.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo